POST api/Score/Member/Prize/Swap

会员积分奖品兑换 (说明:App和小程序通用)

Request Information

URI Parameters

None.

Body Parameters

参数列表

API_MemberPrizeSwap
NameDescriptionTypeAdditional information
userOpenId

微信OpenId

string

None.

prizeExchangeId

兑换奖品ID

integer

None.

accptName

收件人姓名

string

None.

userMobile

收件人手机号码

string

None.

userArea

收件地区

string

None.

userAddress

详细地址

string

None.

Request Formats

application/json, text/json

Sample:
{
  "userOpenId": "sample string 1",
  "prizeExchangeId": 2,
  "accptName": "sample string 3",
  "userMobile": "sample string 4",
  "userArea": "sample string 5",
  "userAddress": "sample string 6"
}

Response Information

Resource Description

返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。410:用户会员信息不存在... 。404:兑奖奖品信息不存在或已下架... 。460:用户积分不足... 。200:兑换成功... 。400:兑换失败... 。

ActionResult
NameDescriptionTypeAdditional information
status

公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。

integer

None.

msg

消息

string

None.

Response Formats

application/json, text/json

Sample:
{
  "status": 1,
  "msg": "sample string 2"
}